classification
Title: Fix invalid uses of %d in format strings in C
Type: behavior Stage: patch review
Components: Extension Modules, Interpreter Core Versions: Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2019-03-10 10:44 by serhiy.storchaka, last changed 2019-03-14 08:47 by serhiy.storchaka.

Pull Requests
URL Status Linked Edit
PR 12264 merged serhiy.storchaka, 2019-03-10 10:47
PR 12318 merged serhiy.storchaka, 2019-03-14 07:17
PR 12320 closed serhiy.storchaka, 2019-03-14 07:44
PR 12322 merged serhiy.storchaka, 2019-03-14 08:27
Messages (5)
msg337606 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-10 10:44
The proposed patch fixes invalid uses of %d in format strings in C (mostly when the argument has type Py_ssize_t or size_t).
msg337609 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-10 10:57
See also issue36251.
msg337875 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-13 21:00
New changeset d53fe5f407ff4b529628b01a1bcbf21a6aad5c3a by Serhiy Storchaka in branch 'master':
bpo-36254: Fix invalid uses of %d in format strings in C. (GH-12264)
https://github.com/python/cpython/commit/d53fe5f407ff4b529628b01a1bcbf21a6aad5c3a
msg337901 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-14 08:06
New changeset 2c0d3f454705bb5ccf5f6189f3cf77bbae4f056b by Serhiy Storchaka in branch 'master':
bpo-36254: Fix yet one invalid use of %d in format string in C. (GH-12318)
https://github.com/python/cpython/commit/2c0d3f454705bb5ccf5f6189f3cf77bbae4f056b
msg337904 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-14 08:47
New changeset 783bed4c8daf65a2893d94761ea44af4e3718f4f by Serhiy Storchaka in branch '3.7':
[3.7] bpo-36254: Fix invalid uses of %d in format strings in C. (GH-12264). (GH-12322)
https://github.com/python/cpython/commit/783bed4c8daf65a2893d94761ea44af4e3718f4f
History
Date User Action Args
2019-03-14 08:47:42serhiy.storchakasetmessages: + msg337904
2019-03-14 08:27:17serhiy.storchakasetpull_requests: + pull_request12296
2019-03-14 08:06:22serhiy.storchakasetmessages: + msg337901
2019-03-14 07:44:29serhiy.storchakasetpull_requests: + pull_request12294
2019-03-14 07:17:43serhiy.storchakasetpull_requests: + pull_request12292
2019-03-13 21:00:20serhiy.storchakasetmessages: + msg337875
2019-03-10 10:57:05serhiy.storchakasetmessages: + msg337609
2019-03-10 10:47:12serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request12249
2019-03-10 10:44:49serhiy.storchakacreate